<!-- Start Essential Pricing Plan Switcher Design 2. -->

<?php use Elementor\Icons_Manager;?>
<div class="epps-main-wrapper">
	<div class="epps-design-2">
		<!-- Check Switcher Enable Or Disable. -->
		<?php if( $settings['epps_plan_switcher'] == 'yes' ) { ?>
			<div class="epps-plan-switcher">
				<label for="epps_input_switch" class="epps-switcher-text"><?php echo esc_html( $settings['epps_plan_switcher1'] ); ?></label>
				<label class="epps-switch" >
					<input type="checkbox" name="epps_input_switch" id="epps_input_switch">
					<span class="epps-slider epps-round"></span>
				</label>
				<label for="epps_input_switch" class="epps-switcher-text"><?php echo esc_html( $settings['epps_plan_switcher2'] ); ?></label>
			</div> 
		<?php } ?>
		<div class="epps-plan-features-wrapper">
			<!-- Add Grid Class. -->
			<?php
				if( $settings['epps_grid_columns'] != "" ) {
					$grid_class = "elementor-grid-".$settings['epps_grid_columns']."";
				}
			?>
			<ul class="epps-plan-list elementor-grid <?php echo esc_html( $grid_class );?>">
				<?php
				$epps_plan = 0;
				for ($i = 1; $i <= $settings['epps_plan_count']; $i++) { ?>
					<li class="epps-plan-item epps-plan-<?php echo esc_attr($epps_plan) ?>">
						<!-- Check Switcher Enable Or Disable. -->
						<?php
						if( $settings['epps_plan_switcher'] == 'yes' ) {
							$value_length = 2;
						} else {
							$value_length = 1;	
						}
						for ($k = 1; $k <= $value_length; $k++) { 
							if( $settings['epps_'.$k.'_plan_label_'.$i.''] != "" ) {
								$highlight_plan = 'epps-highlight-plan';
							} else {
								$highlight_plan = '';
							} ?>
							<div class="epps-plan epps-plan-item-<?php echo esc_html( $k );?> <?php echo esc_html( $highlight_plan );?>">
								<!-- Check Title Is Not Blank. -->
								<div class="epps-title-label-wrapper">
									<?php if ( $settings['epps_'.$k.'_plan_title_'.$i.''] != "" ) { ?>
										<div class="epps-heading-wrapper"> 
											<?php $epps_title_tag = $settings['epps_'.$k.'_plan_title_tag_'.$i.'']; ?>
											<<?php echo esc_attr($epps_title_tag); ?> class="epps-plan-heading"><?php echo esc_html( $settings['epps_'.$k.'_plan_title_'.$i.''] ); ?></<?php echo esc_attr($epps_title_tag); ?>>
										</div>
									<?php }
									// Label Position.
									if ($settings['epps_label_position'] == 'ltr') {
										$epps_label_position = 'epps-label-left';
									} else {
										$epps_label_position = 'epps-label-right';
									}
									// Label.
									if ( $settings['epps_'.$k.'_plan_label_'.$i.''] != "" ) { ?>
										<div class="epps-plan-label <?php echo $settings['epps_label_design']. ' ' . esc_attr($epps_label_position); ?>"><?php echo esc_html( $settings['epps_'.$k.'_plan_label_'.$i.''] ); ?></div>
									<?php } ?>
								</div>
								<div class="epps-content">
									<!-- Check Prices Are Not Blank. -->
									<?php
									if ($settings['epps_price_line_through'] == 'yes') {
										$epps_price_line = 'epps-price-line';
									} else {
										$epps_price_line = '';
									}
									if ( 'epps_custom' !== $settings['epps_currency_symbol'] ) {
										$epps_symbol = epps_get_currency_symbol($settings['epps_currency_symbol']);
									} else {
										$epps_symbol = $settings['epps_currency_text_symbol'];
									}
									if ( ( $settings['epps_'.$k.'_plan_price_'.$i.''] != "" ) || ( $settings['epps_'.$k.'_plan_sale_price_'.$i.''] != "" ) ) { ?>
										<div class="epps-prices-wrapper">
											<!-- Check Sale Price Is Not Blank. -->
											<?php if ( $settings['epps_'.$k.'_plan_sale_price_'.$i.''] != "" ) { ?>
												<div class="epps-sale-price">
													<span class="epps-currency-symbol"><?php echo esc_html($epps_symbol); ?></span>
													<p><?php echo esc_html( $settings['epps_'.$k.'_plan_sale_price_'.$i.''] ); ?></p>
												</div>
											<?php }
											// Check Normal Price Is Not Blank.
											if ( $settings['epps_'.$k.'_plan_price_'.$i.''] != "" ) { ?>
												<div class="epps-normal-price <?php echo esc_attr($epps_price_line); ?>">
													<span>/</span>
													<p><?php echo esc_html( $settings['epps_'.$k.'_plan_price_'.$i.''] ); ?></p>
												</div>
											<?php } ?>
										</div>
									<?php }
									// Check Description Is Not Blank.
									if( $settings['epps_'.$k.'_plan_description_'.$i.''] != "" ) { ?>
										<div class="epps-description-wrapper">
											<p class="epps-plan-description"><?php echo esc_html( $settings['epps_'.$k.'_plan_description_'.$i.''] ); ?></p>
										</div>
									<?php }
									// Check Plan Button Text Is Not Blank.
									if( $settings['epps_'.$k.'_button_text_'.$i.''] != "" && $settings['epps_btn_position'] == "above_feature" ) { ?>
										<div class="epps-btn-wrapper">
											<?php
												$button_link = $settings['epps_'.$k.'_plan_link_'.$i.'']['url'];
												$target = $settings['epps_'.$k.'_plan_link_'.$i.'']['is_external'] ? ' target="_blank"' : '';
												$rel = $settings['epps_'.$k.'_plan_link_'.$i.'']['nofollow'] ? ' rel="nofollow"' : ''; ?>
											<a href="<?php echo esc_url($button_link); ?>" class="epps-plan-btn" <?php echo esc_attr($target); echo esc_attr($rel);?>><?php echo esc_html( $settings['epps_'.$k.'_button_text_'.$i.''] ); ?></a>
										</div>
									<?php }
									// Check Feature Title Is Not Blank.
									if( $settings['epps_'.$k.'_feature_title_'.$i.''] != "" ) { ?>
										<div class="epps-features-title-wrapper">
											<?php $epps_feature_title_tag = $settings['epps_'.$k.'_feature_title_tag_'.$i.'']; ?>
											<<?php echo esc_attr($epps_feature_title_tag); ?> class="epps-plan-features-title"><?php echo esc_html( $settings['epps_'.$k.'_feature_title_'.$i.''] ); ?></<?php echo esc_attr($epps_feature_title_tag); ?>>
										</div>
									<?php }
									// Check Feature List Is Array Or Object.
									if( is_array($settings['epps_'.$k.'_feature_list_'.$i.'']) || is_object($settings['epps_'.$k.'_feature_list_'.$i.'']) ) { ?>
										<div class="epps-features-wrapper">
											<ul class="epps-features-list">
												<?php
												foreach($settings['epps_'.$k.'_feature_list_'.$i.''] as $list) {   
													// Check Feature Icon Is Include Or Exclude.
													if( $list['epps_feature_icon_include_exclude'] == "yes" ) {
														$icon_class = 'epps-icon-include';
													} else {
														$icon_class = 'epps-icon-exclude';
													}
													// Check Feature Icon Is Array And Feature Text Is Not Blank.
													if( is_array($list['epps_feature_icon']) || $list['epps_feature_text'] != "" ) { ?>
														<li class="epps-features-item">
															<!-- Check Feature Icon Is Array. -->
															<?php if( is_array($list['epps_feature_icon']) ) { ?>
																	<?php Icons_Manager::render_icon($list['epps_feature_icon'], ['aria-hidden' => 'true', 'class' => 'epps_feature_icon '.esc_html($icon_class).'']);?>
															<?php }
															// Check Feature Text Is Not Blank.
															if( $list['epps_feature_text'] != "" ) { ?>
																<span class="epps-feature-text <?php echo esc_attr($icon_class); ?>"><?php echo esc_html( $list['epps_feature_text'] ); ?></span>
															<?php } ?>
														</li>
													<?php }
												} ?>
											</ul>
										</div>
									<?php }
									// Check Plan Button Text Is Not Blank.
									if( $settings['epps_'.$k.'_button_text_'.$i.''] != "" && $settings['epps_btn_position'] == "under_feature" ) { ?>
										<div class="epps-btn-wrapper">
											<?php
												$button_link = $settings['epps_'.$k.'_plan_link_'.$i.'']['url'];
												$target = $settings['epps_'.$k.'_plan_link_'.$i.'']['is_external'] ? ' target="_blank"' : '';
												$rel = $settings['epps_'.$k.'_plan_link_'.$i.'']['nofollow'] ? ' rel="nofollow"' : ''; ?>
											<a href="<?php echo esc_url($button_link); ?>" class="epps-plan-btn" <?php echo esc_attr($target); echo esc_attr($rel);?>><?php echo esc_html( $settings['epps_'.$k.'_button_text_'.$i.''] ); ?></a>
										</div>
									<?php } ?>
								</div>
							</div>
							<?php
						}
						?>
					</li>
					<?php
					$epps_plan++;
				} ?>
			</ul>
		</div>
	</div>
</div>
<!-- End Essential Pricing Plan Switcher Design 2. -->